mav_matrixXAxisGet(3)

NAME
mav_matrixXAxisGet - Return the various axes of a matrix.

LEVEL
Maverik Level 1

SYNTAX
MAV_vector mav_matrixXAxisGet(MAV_matrix m);

MAV_vector mav_matrixYAxisGet(MAV_matrix m);

MAV_vector mav_matrixZAxisGet(MAV_matrix m);

ARGUMENTS

MAV_matrix m
    Matrix in question.

DESCRIPTION
These functions return the axes of matrix m, i.e. the result of multiplying the principle axis by m. This will be the vector the axis will map onto if m is used to transform coordinate systems.